package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.GP_PricingEspecificoOcupacionDAO;
import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecificoOcupacion;


@Repository("gp_pricingEspecificoOcupacionDAO")
public class GP_PricingEspecificoOcupacionHibernateDAO extends GenericHibernateDAO<GP_PricingEspecificoOcupacion, Long> implements GP_PricingEspecificoOcupacionDAO {

    @Autowired
    public GP_PricingEspecificoOcupacionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }
	
	@SuppressWarnings("unchecked")
	@Override
	public List<GP_PricingEspecificoOcupacion> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
	}
}
